Description

Hi,

We are currently trying to use redmine for educational purpose at Polytechnique of Montréal Computer and Software engineering
department.

Remine 1.4.2 is almost the perfect fit for our needs.
Redmine will be used by 20-40 team of 4-6 students for 4 months projects.

No need to tell that with students, if you want them to use something it got to be simple and powerfull( just like redmine !)
So each team will have to provide a weekly time sheet(no problem so far).

Using commit time tracking with git is very usefull. Except for one little thing, the comment associated with the time log is

Appliqué par commit test2|commit:c609cdl1786d5d47d558efa5084113fadc98984f4
which is not very informative about what have been done,expecially for the instructors!

Sure the students could go on site and change the comment associated with the log but it's like doing the same job twice and you
can't expect that much with students...

%?is is the syntax i'm currently using for commit:
refs #5 @0h30min test for function abcdef () added but need verification
So the output in the time entrie we would like to see is (see result.png)
and at the same time why can't we add comment to time report?
Is there anyway to achieve this ?
Thank you

Jonathan Rajotte

Related issues:

Related to Redmine - Feature #9804: Automatic activity of spent time logging ... New
Has duplicate Redmine - Defect #11484: Problem with "Applied in changeset” co... Closed
History

#1 - 2012-06-14 13:49 - Jean-Philippe Lang
- File magic_links.png added

- Subject changed from Linking commit comment and time spent comment (Git) to Linking commit comment and time spent comment

I'd prefer to enable "magic" Redmine links in time entry comments rather than appending the commit message to it. This way the commit:... would be
turned into a clickable link to the commit (with the commit message visible in the link title):
Commentaire Heures
Appliqué par r7000. 200 W

rename rhtrnl to html.erb of app/fviews/projects/sk
finally remov...

200 @
What do you think?

#2 - 2012-06-14 22:14 - Jonathan Rajotte

Well, it's an improvment from what we got.

The thing is that we want to use the time entry as a weekly time sheet report. We want to know what have been done each time they commit time.
This would be used as a tool for instructor for an easy follow-up. | hardly see an instructor go over maybe forty commit and time logging( for 10+
teams) with this solution.

Maybe one solution would be adding a comment syntax for commit. Something like this:

refs #3 @0hOOmin & insert comment to link here &

add if no comment is present just go with the "magic"” link.

This could be a good solution i think.

I've seen patch for % ratio => #10767 but nothing for comment.

| know this represent some work but we are very greatfull for everything.

#3 - 2012-06-22 16:35 - Jonathan Rajotte
Any update about this ?

#4 - 2012-07-01 17:14 - Mischa The Evil
Jean-Philippe Lang wrote:
I'd prefer to enable "magic" Redmine links in time entry comments rather than appending the commit message to it. This way the commit:...

would be turned into a clickable link to the commit (with the commit message visible in the link title):

Commentaire Heures
Appliqué par r7000. 200 /W

rename .rhtml to htmlerb of app/views/projects/sk
finally remov...

300 J @
What do you think?

| think this looks like a partial revival of issue #202 for about the "textilization" of the Timelog-entry comments. I'd say it would be an improvement to
have these magic Redmine links enabled in the time-reports, especially now #4155 (superceding #1518 which also included %-done ratio support
[like now aditionally requested in #10767]) is implemented within the core.

Though, | don't think this change will fulfill the request in this issue completely...

#5 - 2012-07-12 19:33 - Jonathan Rajotte
- File patch_time _log _comment.diff added
- File time_log.PNG added

Well, I've put some time on this and finally come with a solution changing changeset.rb. With a little help from the solution provided in #10767.

| have modified TIMELOG_RE by swapping (m|min) to (min|m) because it was causing pattern recognition problem when using this syntax

refs #3 @10hl10min

On it's orignal form using the regex would find this pattern despite the min keyword

refs #3 @10h10m
The rest is only regex manipulation and adding an argument to log_time function + a little verification for nil argument

The new syntax:

refs #3 @10hlOmin & Insert comment for time log entry here & normal comment here
The &***& field is only considered if @*** is present
Multiples refs is functional as normal
The output:
commit comment:
refs #3 @10hl10Omin & Insert comment for time log entry here & normal comments here
output:
time_log.PNG
if no &*& is present the old comment form is used
what do you think ?
#6 - 2012-07-12 23:38 - Etienne Massip
| don't get it.

Why not simply textilize the content as Jean-Philippe suggested and replace the "Appliqué par xxxx" in the time log comment by the committed
comment (if present)?

#7 - 2012-07-13 00:31 - Jonathan Rajotte
It would be very nice to get textilize content as well but the reason why | introduced a new syntax is simply for practical reason.
Ex. | wish to commit to my svn with this comment:

refs #4 @10hlOmin & function log_time, function log_comment_svn, refactoring the regexp & still having issue w
ith pattern generation

On my time entry, | want what have been done, not some comment for the rest of the team or whatever (remember we use this as an educational
tool...)

I think the distinction between Time comments and general comments is necessery.

| don't know if the main branch need this but | think it easier for anybody who needs to check hours spent to have betters descriptions of what have
been done. Sure dev could commit then update manually time logs but | found this really "archaic".

#8 - 2012-07-14 16:29 - Etienne Massip

Jonathan Rajotte wrote:
| don't know if the main branch need this but | think it easier for anybody who needs to check hours spent to have betters descriptions of what
have been done. Sure dev could commit then update manually time logs but | found this really "archaic".

I'm not sure about having general comments in vcs commits, this is not their place, only code related comments.

What you need is a plugin for your specific case IMHO, but | agree that "Applied with" comments might be replaced by commit comment in time
tracking or they are hardly understandable.

#9 - 2012-07-14 22:11 - Jonathan Rajotte

Etienne Massip wrote:

I'm not sure about having general comments in vcs commits, this is not their place, only code related comments.

When | was talking about generals comments is was thinking code related comments with no relation to time logging.
Etienne Massip wrote:

[..] but | agree that "Applied with" comments might be replaced by commit comment in time tracking or they are hardly understandable.

This was the initial plan but | added syntax to separate time comments from general code comments. One or the other , as long as | can associate

2025-07-12 3/5



time and comment it's ok .

#10 - 2012-07-26 09:31 - Ania K

Why not simply textilize the content as Jean-Philippe suggested and replace the "Appliqué par xxxx" in the time log comment by the committed
comment (if present)?

| agree. It would be great to have this option by default in redmine. Right now this comments (Appliqué par commit) are not useful at all.

#11 - 2012-08-14 18:48 - Ania K

- Assignee set to Jonathan Rajotte

what do you think ?

Jonathan Rajotte - as | don't know Ruby, could | ask you a favour?

Could you make similar patch to the one you made but with "general" comment entered to time log entry?
| guess it is pretty similar to the change you made and would be really helpful for me :)

Thanks in advance :)

Ania

#12 - 2012-08-14 18:51 - Jonathan Rajotte
- Assignee deleted (Jonathan Rajotte)

I'm currently on a full-time project for the next 2 days. I'll do it as soon as possible. no problem

#13 - 2012-08-14 18:53 - Jonathan Rajotte

- Assignee set to Jonathan Rajotte
#14 - 2012-08-14 18:56 - Ania K
Jonathan Rajotte wrote:

I'm currently on a full-time project for the next 2 days. I'll do it as soon as possible. no problem

Thanks a lot :) It's not that urgent but would be great to have this comments working without double entering it in "& &" format.
We want to use this view as weekly time sheet report as well but we don't have two types of comments :)

#15 - 2012-08-14 20:59 - Jonathan Rajotte

- File corrected_time_log_comment.patch added

The previous patch did not support issue linking, | forgot 2 parentheses.
#16 - 2016-01-06 12:32 - Andreas Krummsdorf

Hi everone,

was is the current status of this request? So far it seems like Jonathan wrote a patch to cover his use case. Besides this, was is the official solution. |
guess that i have the same problem with the comment in the time tracking entry.

I think it would be really useful if the commit message is used as comment in the time tracking entry. Because often there are reports generated for
the time spend in a project and it would nice if the time tracking entries would include some meaningful comments. Because "Angewendet in
Changeset commit:demo|19900296834faf5a5d434865cf04b55a733f04e7." is not very helpful. But it can also be additionally included if needed.

By the way, the last part of the actual comments seems like redmine syntax, but it is not formatted or linked. It is just plain text within the comment.

Greetings
Andreas
#17 - 2016-02-05 04:48 - Toshi MARUYAMA

- Related to Feature #9804: Automatic activity of spent time logging from commit messages added

#18 - 2018-10-05 18:43 - Markus Boremski

Hey,
are there any news on this one here?
| also would be glad to have the possibility to "read" in the comments the commit-message.

| understand that there has been a discussion about the best way hot to do it.
Maybe for the start it would help to have the commit-message in the time-tracking-comment.

Would be glad to see something going on here.. :-)

#19 - 2019-08-23 12:00 - Benedikt Breinbauer

We would need this as well. Without showing the git commit message instead of the commit hash this feature is not very useful.

Files

result.PNG 32.5 KB 2012-06-13 Jonathan Rajotte
magic_links.png 3.1 KB 2012-06-14 Jean-Philippe Lang
patch_time_log_comment.diff 2.55 KB 2012-07-12 Jonathan Rajotte
time_log.PNG 10.6 KB 2012-07-12 Jonathan Rajotte
corrected_time_log_comment.patch 2.47 KB 2012-08-14 Jonathan Rajotte
